local ai = load_ai_personality("builderguy.lua")

load_ai_mixin(ai, "provost_helper.inc")
load_ai_mixin(ai, "roundsleft_helper.inc")
local closerbot = load_ai_personality("closerguy.lua")

local SUPER_select_move = ai.select_move
function ai.select_move()

	local rounds_left = ai.estimate_rounds_left()
	if ai.VERBOSE then
		print(string.format("estimate %.1f rounds left", rounds_left))
	end

	if rounds_left < 2 then

		closerbot.VERBOSE = ai.VERBOSE
		return closerbot.select_move()
	else
		return SUPER_select_move()
	end
end

return ai
